using UnityEngine;

namespace RebootKit.Engine.Services.Console {
    [CreateAssetMenu(fileName = RConsts.AssetMenu + "cvar")]
    public class CVarAsset : ScriptableObject {
        [SerializeField]
        private CVar _cvar;

        public CVar Create(string name = null) {
            CVar cvar = new CVar(_cvar);

            if (name != null) {
                cvar.Name = name;
            }

            return cvar;
        }
    }
}